import { useMain as useTaskServices } from '@/views/modelTraining/detail/services/task.ts'
import { useMain as useComminServices } from '@/views/modelTraining/detail/services/common.ts'
import { useMain as useOptionsMain } from '@/views/modelTraining/detail/services/options.ts'

export const useMain = () => {
  const commonServices = useComminServices()
  const taskServices = useTaskServices()
  const optionsServices = useOptionsMain()
  const trainDetailServices = {
    common: commonServices, // 公共状态模块
    task: taskServices, // 任务模块
    options: optionsServices // 选项
  }

  return {
    trainDetailServices
  }
}
